-- ----------------------------------------------------------------------------
-- MySQL Workbench Migration
-- Migrated Schemata: moebelhausholzwurmf_be
-- Source Schemata: moebelhausholzwurmf_be
-- Created: Fri Aug 07 08:58:11 2020
-- Workbench Version: 6.3.7
-- ----------------------------------------------------------------------------

SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------------------------------------------------------
-- Schema moebelhausholzwurmf_be
-- ----------------------------------------------------------------------------
DROP SCHEMA IF EXISTS `moebelhausholzwurmf_be` ;
CREATE SCHEMA IF NOT EXISTS `moebelhausholzwurmf_be` ;

-- ----------------------------------------------------------------------------
-- Table moebelhausholzwurmf_be.bestellungen
-- ----------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS `moebelhausholzwurmf_be`.`bestellungen` (
  `AuftragsNr` INT(10) NOT NULL,
  `P-Nr` INT(10) NOT NULL,
  `Menge` INT(10) NULL,
  PRIMARY KEY (`AuftragsNr`, `P-Nr`),
  CONSTRAINT `AufträgeBestellungen`
    FOREIGN KEY (`AuftragsNr`)
    REFERENCES `moebelhausholzwurmf_be`.`auftraege` (`AuftragsNr`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `ArtikelBestellungen`
    FOREIGN KEY (`P-Nr`)
    REFERENCES `moebelhausholzwurmf_be`.`artikel` (`P-Nr`)
    ON DELETE RESTRICT
    ON UPDATE RESTRICT);

-- ----------------------------------------------------------------------------
-- Table moebelhausholzwurmf_be.artikel
-- ----------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS `moebelhausholzwurmf_be`.`artikel` (
  `P-Nr` INT(10) NOT NULL auto_increment,
  `P-bez` VARCHAR(30) NULL,
  `PG-Nr` INT(10) NULL,
  `Lagerbest` INT(10) NULL,
  `MinBest` INT(10) NULL,
  `Material` VARCHAR(50) NULL,
  `Preis` DECIMAL(19,4) NULL,
  `VerwZweck` VARCHAR(50) NULL,
  `LieferantenNr` INT(10) NULL,
  `Auslaufartikel` TINYINT(1) NOT NULL,
  INDEX `Preis` (`Preis` ASC),
  INDEX `P-bez` (`P-bez` ASC),
  PRIMARY KEY (`P-Nr`),
  INDEX `ArtikelP-Nr` (`P-Nr` ASC),
  CONSTRAINT `LieferantenArtikel`
    FOREIGN KEY (`LieferantenNr`)
    REFERENCES `moebelhausholzwurmf_be`.`lieferanten` (`LNr`)
    ON DELETE RESTRICT
    ON UPDATE RESTRICT,
  CONSTRAINT `Reference`
    FOREIGN KEY (`PG-Nr`)
    REFERENCES `moebelhausholzwurmf_be`.`produktgruppen` (`PG-Nr`)
    ON DELETE RESTRICT
    ON UPDATE RESTRICT);

-- ----------------------------------------------------------------------------
-- Table moebelhausholzwurmf_be.mitarbeiter
-- ----------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS `moebelhausholzwurmf_be`.`mitarbeiter` (
  `MNr` INT(10) NOT NULL auto_increment,
  `Vorname` VARCHAR(50) NULL,
  `Name` VARCHAR(50) NULL,
  `WoSt` DECIMAL(18,1) NULL,
  `Abteilung` INT(10) NULL,
  `Durchwahl` VARCHAR(4) NULL,
  PRIMARY KEY (`MNr`));

-- ----------------------------------------------------------------------------
-- Table moebelhausholzwurmf_be.kunden
-- ----------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS `moebelhausholzwurmf_be`.`kunden` (
  `KundenNr` INT(10) NOT NULL auto_increment,
  `Firma` VARCHAR(50) NULL,
  `Name` VARCHAR(50) NULL,
  `Vorname` VARCHAR(50) NULL,
  `Anrede` VARCHAR(50) NULL,
  `Strasse` VARCHAR(50) NULL,
  `PLZ` VARCHAR(50) NULL,
  `Ort` VARCHAR(50) NULL,
  `Telefon` VARCHAR(50) NULL,
  PRIMARY KEY (`KundenNr`));

-- ----------------------------------------------------------------------------
-- Table moebelhausholzwurmf_be.auftraege
-- ----------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS `moebelhausholzwurmf_be`.`auftraege` (
  `AuftragsNr` INT(10) NOT NULL auto_increment,
  `KundenNr` INT(10) NULL,
  `M-Nr` INT(10) NULL,
  `Bestelldatum` DATETIME NULL,
  `Rabatt` TINYINT(1) NOT NULL,
  `Rechnungsdatum` DATETIME NULL,
  `Rechnung bezahlt` TINYINT(1) NOT NULL,
  `Erledigt` TINYINT(1) NOT NULL,
  PRIMARY KEY (`AuftragsNr`),
  INDEX `AufträgeAuftragsNr` (`AuftragsNr` ASC),
  CONSTRAINT `KundenAufträge`
    FOREIGN KEY (`KundenNr`)
    REFERENCES `moebelhausholzwurmf_be`.`kunden` (`KundenNr`)
    ON DELETE RESTRICT
    ON UPDATE RESTRICT,
  CONSTRAINT `MitarbeiterAufträge`
    FOREIGN KEY (`M-Nr`)
    REFERENCES `moebelhausholzwurmf_be`.`mitarbeiter` (`MNr`)
    ON DELETE RESTRICT
    ON UPDATE RESTRICT);

-- ----------------------------------------------------------------------------
-- Table moebelhausholzwurmf_be.lieferanten
-- ----------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS `moebelhausholzwurmf_be`.`lieferanten` (
  `LNr` INT(10) NOT NULL auto_increment,
  `LFirma` VARCHAR(50) NULL,
  `LName` VARCHAR(50) NULL,
  `LVorname` VARCHAR(50) NULL,
  `LAnrede` VARCHAR(50) NULL,
  `LTelefon` VARCHAR(50) NULL,
  `LAnschrift` VARCHAR(50) NULL,
  `LPLZ` VARCHAR(50) NULL,
  `LOrt` VARCHAR(50) NULL,
  `LRabatt` DECIMAL(18,3) NULL,
  `LSeit` DATETIME NULL,
  PRIMARY KEY (`LNr`));

-- ----------------------------------------------------------------------------
-- Table moebelhausholzwurmf_be.produktgruppen
-- ----------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS `moebelhausholzwurmf_be`.`produktgruppen` (
  `PG-Nr` INT(10) NOT NULL auto_increment,
  `Produktgruppe` VARCHAR(50) NULL,
  `MwSt` DECIMAL(18,2) NULL,
  PRIMARY KEY (`PG-Nr`));
SET FOREIGN_KEY_CHECKS = 1;
